%{!?tcl_version: %global tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitelib: %global tcl_sitelib %{_datadir}/tcl%{tcl_version}}

Summary:    The standard Tcl library
Name:       tcllib
Version:    1.21
Release:    1%{?dist}
License:    BSD
Source0:     https://core.tcl-lang.org/tcllib/uv/%{name}-%{version}.tar.xz
URL:        https://core.tcl-lang.org/tcllib/doc/trunk/embedded/index.md
BuildArch:  noarch

Requires:   tcl(abi) = 8.6

BuildRequires: tcl >= 8.6

%description
Tcllib, the Tcl Standard Library is a collection of Tcl packages
that provide utility functions useful to a large collection of Tcl
programmers.

%prep
%setup -q
chmod -x modules/doctools/mpformats/fr.msg
for file in modules/struct/pool.html ; do
    iconv --from=ISO-8859-1 --to=UTF-8 ${file} > ${file}.new
    mv -f ${file}.new ${file}
done

%build

%install
echo 'not available' > modules/calendar/calendar.n
%{_bindir}/tclsh installer.tcl -no-gui -no-wait -no-html -no-examples \
    -pkg-path %{buildroot}/%{tcl_sitelib}/%name-%version \
    -app-path %{buildroot}%{_bindir} \
    -nroff-path %{buildroot}%_mandir/mann
pushd modules
cp ftp/docs/*.html ftp/
for module in comm exif ftp mime stooop struct textutil; do
    mkdir -p ../$module && cp $module/*.html ../$module/;
done
popd

find %{buildroot}/%{_datadir} -name \*.tcl -exec chmod 0644 {} \;

%files
%doc support/releases/PACKAGES README.md support/releases/history/README-1.9.txt ChangeLog
%doc exif/ ftp/ mime/ stooop/ struct/ textutil/
%license license.terms
%{tcl_sitelib}/%{name}-%{version}
%{_mandir}/mann/*
%{_bindir}/dtplite
%{_bindir}/mkdoc
%{_bindir}/nns*
%{_bindir}/page
%{_bindir}/pt
%{_bindir}/tcldocstrip

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21-1
- initial build
